Skip to main content
GET
/
caller-profiles
List Caller Profiles
curl --request GET \
  --url https://api.example.com/caller-profiles \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/caller-profiles"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/caller-profiles', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "profiles": [
    {
      "id": "<string>",
      "tenant_id": "<string>",
      "agent_id": "<string>",
      "phone_number": "<string>",
      "total_calls": 123,
      "agent_name": "<string>",
      "first_seen_at": "<string>",
      "last_seen_at": "<string>",
      "last_call_id": "<string>",
      "last_call_summary": "<string>",
      "last_call_outcome": "<string>",
      "caller_name": "<string>",
      "preferred_language": "<string>",
      "country_code": "<string>",
      "notes": {}
    }
  ],
  "total": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agent_id
string<uuid> | null

Filter by agent

search
string | null

Search by phone or name

limit
integer
default:50
Required range: x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

profiles
CallerProfileResponse · object[]
required
total
integer
required